API docs / Image models

restyle-video-frame API

Use flux-kontext-pro to change the first or last frame of a video. Useful to use as inputs for restyling an entire video in a certain way

Model id
flux-kontext-apps/restyle-video-frame
Provider
flux-kontext-apps
Output
Image
Price
Depends on the options; the same as on voor.ai.

Request

POST https://voor.ai/v1/generations with "model": "flux-kontext-apps/restyle-video-frame". Poll GET /v1/tasks/{id} or receive the signed webhook. See the overview for keys, idempotency, webhooks and errors.

curl https://voor.ai/v1/generations \
  -H "Authorization: Bearer $VOOR_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "flux-kontext-apps/restyle-video-frame",
  "input": {
    "prompt": "A red fox standing in fresh snow at golden hour, soft light",
    "source_video": [
      "https://example.com/input.png"
    ]
  },
  "callback_url": "https://example.com/webhooks/voor"
}'

# Then poll the task (or wait for the webhook):
curl https://voor.ai/v1/tasks/TASK_ID \
  -H "Authorization: Bearer $VOOR_API_KEY"

Input parameters

NameTypeDetails
promptrequiredstring

Text description of how to restyle the video frame

source_videorequiredarray of URLs

Video to extract the first frame from and restyle

Up to 1 files · Accepts video/*

seednumber

Random seed. Set for reproducible generation

output_formatstring

Default: png

One of: jpg, png

framestring

Default: first

One of: first, last